For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Infrastructure Automation with Temporal
      • Temporal Deployment Process
      • Temporal CLI
      • Workflows for Day 2 Operations
      • Temporal API
        • GETHealthcheck
        • GETRBAC Config Status
        • GETCurrent User Info
          • GETGet Workflows
          • POSTExecute HelloWorld
          • POSTExecute HelloWorldApproval
          • POSTExecute AIRCreateBlueprintSimulationWorkflow
          • POSTExecute AIRCreateSimulationWorkflow
          • POSTExecute AIRDeleteSimulationWorkflow
          • POSTExecute AIRValidateSiteWorkflow
          • POSTExecute BackupWorkflow
          • POSTExecute BatchDeployWorkflow
          • POSTExecute ConnectedHostMetadataWorkflow
          • POSTExecute ValidateHardwareWorkflow
          • POSTExecute DeployWorkflow
          • POSTExecute DeviceCableValidationWorkflow
          • POSTExecute DevicePasswordRotationWorkflow
          • POSTExecute DiagnosticsWorkflow
          • POSTExecute IBPKeyCreationWorkflow
          • POSTExecute IBPKeyMemberAddWorkflow
          • POSTExecute IBPKeyMemberDeleteWorkflow
          • POSTExecute IBPKeyMemberUpdateWorkflow
          • POSTExecute IBPortGuidDiscoveryWorkflow
          • POSTExecute InfinibandCableValidationWorkflow
          • POSTExecute InfinibandGetUnhealthyPortsWorkflow
          • POSTExecute InfinibandMlnxOSUpgradeWorkflow
          • POSTExecute MultiDeployWorkflow
          • POSTExecute NVLinkSwitchFirmwareUpgradeWorkflow
          • POSTExecute PortLLDPInfoWorkflow
          • POSTExecute RedfishProvisioningWorkflow
          • POSTExecute ReprovisionWorkflow
          • POSTExecute SiteCableValidationWorkflow
          • POSTExecute SitePasswordRotationWorkflow
          • POSTExecute SwitchOSUpgradeWorkflow
          • POSTExecute TenantDeployWorkflow
          • POSTExecute VpcTenantChangeWorkflow
          • POSTExecute VpcAssignmentWorkflow
          • POSTExecute VpcCreationWorkflow
          • POSTExecute VpcDeletionWorkflow
          • GETGet Workflow Types
          • GETGet Workflow
          • POSTApprove
          • POSTReject
          • POSTRetry
          • GETDownload Tech Support
          • POSTTerminate
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemporal ServiceTemporal APIworkflow

Get Workflows

||View as Markdown|
GET
https://host.com/v1/workflow/
GET
/v1/workflow/
$curl https://host.com/v1/workflow/ \
> -H "Content-Type: application/json"
1{
2 "next_page_token": "eyJwYWdlIjoxfQ==",
3 "workflows": [
4 {
5 "close_time": "2024-01-15T09:30:00Z",
6 "href": "https://temporal.example.com/workflow/abc123",
7 "id": "abc123",
8 "pending_approval": false,
9 "search_attributes": {
10 "Priority": [
11 "High"
12 ],
13 "RetryCount": [
14 2
15 ],
16 "IsCritical": [
17 true
18 ],
19 "StartDate": [
20 "2024-01-10T08:00:00Z"
21 ]
22 },
23 "start_time": "2024-01-10T08:00:00Z",
24 "started_by": "jane.doe@example.com",
25 "status": "Completed",
26 "workflow_input": null,
27 "workflow_type": "OrderProcessing"
28 }
29 ]
30}
Return a filtered list of workflows.
Previous

Get Tenants

Next

Execute HelloWorld

Query parameters

userstring or nullOptional
workflow_typestring or nullOptional
device_idstring or nullOptional
device_namestring or nullOptional
device_rolestring or nullOptional
device_platformstring or nullOptional
sitestring or nullOptional
statusstring or nullOptional
limitintegerOptionalDefaults to 100
next_page_tokenstring or nullOptional

Response

Successful Response
next_page_tokenstring or null
workflowslist of objects

Errors

422
Unprocessable Entity Error